---
search:
  tags:
    - Categories
    - PATCH
seo:
  description: >-
    Updates a category with partial data. Only… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/categories/{category_id} endpoint in the
    Management API.
sidebar:
  label: Update Category
  badge: PATCH
title: Update Category
type: openapi-operation
---
Updates a category with partial data. Only provided fields are updated. If parent_id is omitted or null, the category becomes a root category

`PATCH /api/v1/{team_slug}/{app_slug}/categories/{category_id}`

**Request body** (`application/json`, required)

Category data

- `childless` (boolean)
- `cover_id` (string) — CoverID controls the category's cover image. When omitted, the cover is not changed. When set to a UUID, the image is validated and assigned. When set to null, the cover is removed.
- `description` (string)
- `google_product_category_id` (string) — related google product category in https://www.google.com/basepages/producttype/taxonomy-with-ids.en-US.txt
- `name` (string)
- `parent_id` (string)
- `seo` (internal_pkg_webserver_v1.InputUpdateCategorySEO)
- `slug` (string)
- `sort_order` (integer)
- `status` (string)
- `translations` (github_com_enadhq_nabbit_internal_pkg_webserver_models.CategoryTranslations)

Request body example:

```json
{
  "childless": true,
  "cover_id": "string",
  "description": "string",
  "google_product_category_id": "string",
  "name": "string",
  "parent_id": "string",
  "seo": {
    "meta_description": "string",
    "meta_title": "string"
  },
  "slug": "string",
  "sort_order": 0,
  "status": "active",
  "translations": {
    "description": [
      {
        "id": "string",
        "locale": "string",
        "value": "string"
      }
    ],
    "meta_description": [
      {
        "id": "string",
        "locale": "string",
        "value": "string"
      }
    ],
    "meta_title": [
      {
        "id": "string",
        "locale": "string",
        "value": "string"
      }
    ],
    "name": [
      {
        "id": "string",
        "locale": "string",
        "value": "string"
      }
    ],
    "slug": [
      {
        "id": "string",
        "locale": "string",
        "value": "string"
      }
    ]
  }
}
```

**Responses**

- `200` — The category
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "children": [
      {}
    ],
    "cover_url": "string",
    "created_at": "string",
    "description": "string",
    "google_product_category_id": "string",
    "id": "string",
    "name": "string",
    "parent_id": "string",
    "redirects": [
      {
        "id": "string",
        "item_id": "string",
        "locale": "string",
        "new_slug": "string",
        "old_slug": "string",
        "type": "product"
      }
    ],
    "seo": {
      "meta_description": "string",
      "meta_title": "string"
    },
    "slug": "string",
    "sort_order": 0,
    "status": "string",
    "translations": {
      "description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "meta_description": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "meta_title": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "name": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ],
      "slug": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string",
    "uri": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
